Rename device backup

patchhttps://app.mk.io/api/v1/projects/:project_name/fleet/backups/:backup_id

Rename an existing device backup by id. 'device' and 'storage_url' cannot be updated.

RBAC Capability Required: fleet.device.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
backup_idstringRequiredformat: uuid

Response

200The device backup entry was successfully updated.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

409Conflict

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…